from feincms.content.application.models import ApplicationContent

def get_app_page(model, urlconf_path):
    """
    Returns the model entry that has been associated with the application that
    provides the passed urlconf_path.

    e.g. to retrieve the page associated with

    >>> page = get_app_page(Page, 'cloudcmsblog')
    >>> print page.get_navigation_url()
    >>> "/blog/"

    """
    app_content_type = model.content_type_for(ApplicationContent)
    try:
        blog_block = app_content_type.objects.filter(urlconf_path=urlconf_path)[0]
    except:
        return None
    return blog_block.parent

