var cloudcms = {};
cloudcms.utils = {};

cloudcms.utils.addCommas = function(nStr)
{
	nStr += '';
	x = nStr.split('.');
	x1 = x[0];
	x2 = x.length > 1 ? '.' + x[1] : '';
	var rgx = /(\d+)(\d{3})/;
	while (rgx.test(x1)) {
		x1 = x1.replace(rgx, '$1' + ',' + '$2');
	}
	return x1 + x2;
}

function ServiceStats(opts, wrapper) {
	this.options = opts;
	this.wrapper = wrapper; 
}


ServiceStats.prototype.updateStats = function(data) {
	var self = this;
	function filldata(value, key) {
		self.wrapper.find("li."+key).find('span').text(cloudcms.utils.addCommas(value));
	}
	_.each(data,filldata);
}


ServiceStats.prototype.addArray = function(data) {
	return _.reduce(data, function(memo, num){ return memo + num; }, 0);
}


ServiceStats.prototype.getActive = function(data) {
	var active = _.omit(data,'DELETED');
	var active_count =  _.pluck(active, 'count');
	return this.addArray(active_count);
}

ServiceStats.prototype.getAll = function(data) {
	return this.addArray(_.pluck(data, 'count'));
} 

ServiceStats.prototype.loadStats = function() {
	var self = this;
	if (this.options.compute_url) {
		$.ajax({
			url: this.options.compute_url,
			dataType:'jsonp',
			success: function(data) {	
				self.updateStats({
					'running_vms': data.servers.ACTIVE.count, 
					'active_vms': self.getActive(data.servers),
					'spawned_vms': self.getAll(data.servers),
					'running_networks': data.networks.ACTIVE.count, 
					'active_networks': self.getActive(data.networks),
					'spawned_networks': self.getAll(data.networks),

				})
			}
		})	
	}
	if (this.options.storage_url) {
		$.ajax({
			url: this.options.storage,
			success: function(data) {
				self.storage.find("span").text(data.storage);
			}
		})	
	}
}

ServiceStats.prototype.startUpdate = function(interval) {
	var self = this;
	self.loadStats();
	window.setTimeout(function(){ 
		self.startUpdate(interval);
	}, interval);
}