function  YouTube(options) {
  this.options = options;
  this.wrapper = options.wrapper;
  this.alink = this.wrapper.find('a');
  this.image = this.wrapper.find('img');
  this.videoEl = this.wrapper.find('.player-placeholder');
  this.currwidth = this.wrapper.width();
  this.currheight = parseInt(458* (this.currwidth/816));
  this.close = $('#stop-youtube');
  var self = this;
  
  this.player =  new YT.Player(this.videoEl[0], {
    height: '100%',
    width: '100%',
    playerVars: { 'modestbranding':1},
    videoId: options.youtube_id, 
    events: {
      'onStateChange': function(event) {
        if ( event.data == YT.PlayerState.ENDED ) {
          self.endEvents();
        }
      }
    },
  })
  
  $(window).resize(_.bind(function() { 
    if (this.close.css('visibility') == 'hidden' ) {
      this.wrapper.css('height', '282px' );
    } else {
      this.currwidth = this.wrapper.width();
      this.currheight = parseInt(458* (this.currwidth/816));
      this.wrapper.css('height',this.currheight)
    }
  }, this));
  this.initEvents();
}


YouTube.prototype.initEvents = function() {
  var self = this;
  this.alink.click(function(e){
      e.preventDefault();
      self.image.fadeOut({duration:2500,easing:'easeOutCirc'}); 
      self.wrapper.animate({
        height: self.currheight
      },1000, function(){
        self.close.css('visibility','visible');
        self.alink.hide();
        if (!(isIpadIphone())) {
           self.player.playVideo();
        }
      })
  });
  this.close.click(function(e){
    e.preventDefault();
    self.endEvents();
  })
}

YouTube.prototype.endEvents = function() {
  var self = this;
  self.player.pauseVideo();
  self.close.css('visibility','hidden');
  self.image.fadeIn({duration:1500,easing:'easeOutCirc'}); 
  self.wrapper.animate({
    height:'282'
  },1000, function(){
    self.alink.show();
  })
}