from django import template
from cloudcmsfaq.models import Question
from django.utils.datastructures import SortedDict as OrderedDict

register = template.Library()

@register.filter('get_service_faqs')
def get_service_faqs(service):
    """
    Retrun service faqs grouped by category
    """
    grouped = OrderedDict()

    for q in Question.objects.active().filter(service=service, is_active=True):
        if q.category not in grouped:
            grouped[q.category] = []

        grouped[q.category].append(q)

    return grouped.iteritems()
