# encoding: utf-8
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models

class Migration(SchemaMigration):
    
    def forwards(self, orm):
        
        # Adding model 'ResourceCategory'
        db.create_table('cloudcmsresources_resourcecategory', (
            ('ordering', self.gf('django.db.models.fields.SmallIntegerField')(default=0)),
            ('color', self.gf('django.db.models.fields.CharField')(default='#FAAF40', max_length=255)),
            ('display_on_menu', self.gf('django.db.models.fields.BooleanField')(default=False, blank=True)),
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
        ))
        db.send_create_signal('cloudcmsresources', ['ResourceCategory'])

        # Adding model 'ResourceCategoryTranslation'
        db.create_table('cloudcmsresources_resourcecategorytranslation', (
            ('description', self.gf('django.db.models.fields.CharField')(max_length=250, blank=True)),
            ('parent', self.gf('django.db.models.fields.related.ForeignKey')(related_name='translations', to=orm['cloudcmsresources.ResourceCategory'])),
            ('title', self.gf('django.db.models.fields.CharField')(max_length=100)),
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('language_code', self.gf('django.db.models.fields.CharField')(default='en', max_length=10)),
            ('slug', self.gf('django.db.models.fields.SlugField')(unique=True, max_length=50, db_index=True)),
        ))
        db.send_create_signal('cloudcmsresources', ['ResourceCategoryTranslation'])
    
    
    def backwards(self, orm):
        
        # Deleting model 'ResourceCategory'
        db.delete_table('cloudcmsresources_resourcecategory')

        # Deleting model 'ResourceCategoryTranslation'
        db.delete_table('cloudcmsresources_resourcecategorytranslation')
    
    
    models = {
        'cloudcmsresources.resourcecategory': {
            'Meta': {'object_name': 'ResourceCategory'},
            'color': ('django.db.models.fields.CharField', [], {'default': "'#FAAF40'", 'max_length': '255'}),
            'display_on_menu': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'ordering': ('django.db.models.fields.SmallIntegerField', [], {'default': '0'})
        },
        'cloudcmsresources.resourcecategorytranslation': {
            'Meta': {'object_name': 'ResourceCategoryTranslation'},
            'description': ('django.db.models.fields.CharField', [], {'max_length': '250', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'language_code': ('django.db.models.fields.CharField', [], {'default': "'en'", 'max_length': '10'}),
            'parent': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'translations'", 'to': "orm['cloudcmsresources.ResourceCategory']"}),
            'slug': ('django.db.models.fields.SlugField', [], {'unique': 'True', 'max_length': '50', 'db_index': 'True'}),
            'title': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        }
    }
    
    complete_apps = ['cloudcmsresources']
